<?php
/**
 * @version 1.6
 * @package VehicleManager 
 * @copyright 2011 OrdaSoft
 * @author 2011 Andrey Kvasnevskiy-OrdaSoft(akbet@mail.ru)
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @description NewVehicle for VehicleManager Component
 * Homepage: http://www.ordasoft.com
*/


if( !defined( '_VALID_MOS' ) && !defined( '_JEXEC' ) ) die( 'Direct Access to '.basename(__FILE__).' is not allowed.' );
if( !function_exists( 'getUserGroups')) {
  function getUserGroups(){
    $my=&JFactory::getUser();
    $acl =& JFactory::getACL();
    $usergroups = $acl->get_group_parents($my->gid,'ARO','RECURSE');
    if($usergroups) $usergroups=','.implode(',',$usergroups); else $usergroups='';
    return '-2,'.$my->gid.$usergroups;
  }
}
if( !function_exists( 'veh_categoryArray')) {
  function veh_categoryArray()
  {
    $database = &JFactory::getDBO();
    $usergroups=getUserGroups();
    // get a list of the menu items
    $query = "SELECT c.*, c.parent_id AS parent"
    . "\n FROM #__categories c"
    . "\n WHERE section='com_vehiclemanager' AND (c.params IN ($usergroups) OR c.params='')"
    . "\n AND published <> -2"
    . "\n ORDER BY ordering" ;
    $database->setQuery($query);
    $items = $database->loadObjectList();
    // establish the hierarchy of the menu
    $children = array();
    // first pass - collect children
    foreach ($items as $v) {
      $pt = $v->parent;
      $list = @$children[$pt] ? $children[$pt] : array();
      array_push($list, $v);
      $children[$pt] = $list;
    }
    // second pass - get an indent list of the items
    $array = mosTreeRecurse(0, '', array(), $children);
  
    return $array;
  }
}

if( !function_exists( 'mod_veh_categoryTreeList')) {
  function mod_veh_categoryTreeList($id, $action,$is_new, $options = array())
  {
    global  $database;
    $list = veh_categoryArray();
    $cat = new mosCategory($database);
    $cat->load($id);
  
    $this_treename = '';
    $childs_ids =  Array();
    foreach ($list as $item) {
      if ($item->id == $cat->id || array_key_exists($item->parent_id,$childs_ids) )
      $childs_ids[$item->id] = $item->id;
    }
  
    foreach ($list as $item) {
      if ($this_treename) {
        if ($item->id != $cat->id
          && strpos($item->treename, $this_treename) === false
          && array_key_exists($item->id,$childs_ids) === false) {
          $options[] = mosHTML::makeOption($item->id, $item->treename);
        }
      } else {
        if ($item->id != $cat->id) {
          $options[] = mosHTML::makeOption($item->id, $item->treename);
        } else {
          $this_treename = "$item->treename/";
        }
      }
    }
  
    $parent= null;
    $parent = mosHTML::selectList($options, 'catid',
  'class="inputbox" size="1"', 'value', 'text', $cat->parent_id);
    return $parent;
  }
}

if( !function_exists( 'sefreltoabs')) {
  function sefRelToAbs( $value ) {
    //Need check!!!

    // Replace all &amp; with & as the router doesn't understand &amp;
    $url = str_replace('&amp;', '&', $value);
    if(substr(strtolower($url),0,9) != "index.php") return $url;
    $uri    = JURI::getInstance();
    $prefix = $uri->toString(array('scheme', 'host', 'port'));
    return $prefix.JRoute::_($url);
  }
}

	global $mosConfig_absolute_path, $mosConfig_allowUserRegistration,$mosConfig_lang, $database;

	include('./administrator/components/com_vehiclemanager/compat.joomla1.5.php');
//	require_once ($mosConfig_absolute_path."/components/com_vehiclemanager/language/{$mosConfig_lang}.php" );
		if (file_exists($mosConfig_absolute_path."/components/com_vehiclemanager/language/{$mosConfig_lang}.php" )) {
		require_once($mosConfig_absolute_path."/components/com_vehiclemanager/language/{$mosConfig_lang}.php" );
		}
		else {
			require_once($mosConfig_absolute_path."/components/com_vehiclemanager/language/english.php" );
		}
// load language
//	if(@ _BOOKLIBRARY_SHOW_SEARCH_FOR_ALL == '_BOOKLIBRARY_SHOW_SEARCH_FOR_ALL')
//	{

//	}
$showTitle	= $params->get ('showTitle', 0);
$showAddress	= $params->get ('showAddress', 0);
$showVehicle_type	= $params->get ('showVehicle_type', 0);
$showCondition	= $params->get ('showCondition', 0);
$showDescription	= $params->get ('showDescription', 0);
$showTransmission	= $params->get ('showTransmission', 0);
$showMileage	= $params->get ('showMileage', 0);
$showListing_type	= $params->get ('showListing_type', 0);
$showEngine_type	= $params->get ('showEngine_type', 0);
$showFuel_type	= $params->get ('showFuel_type', 0);
$showExterior_colors	= $params->get ('showExterior_colors', 0);
$showExterior_extras	= $params->get ('showExterior_extras', 0);
$showDashboard_options	= $params->get ('showDashboard_options', 0);
$showInterior_extras	= $params->get ('showInterior_extras', 0);
$showSafety_options	= $params->get ('showSafety_options', 0);
$showWarranty_options	= $params->get ('showWarranty_options', 0);
$showInterior_colors	= $params->get ('showInterior_colors', 0);
$showWheeltype  = $params->get ('showWheeltype', 0);
$showEngine  = $params->get ('showEngine', 0);
$showModel  = $params->get ('showModel', 0);

$showYear = $params->get ('showYear', 0);
$showAdvanceSearch = $params->get ('showAdvanceSearch', 0);






	$categories[] = mosHTML :: makeOption('0', _VEHICLEMANAGER_SEARCH_CATEGORY);
	$database->setQuery("SELECT id  FROM #__menu WHERE link LIKE '%com_vehiclemanager%' ORDER BY link");
	$Itemid = $database->loadResult();

	$clist = mod_veh_categoryTreeList(0,'',true,$categories);
	$year[] = mosHTML :: makeOption(' ', _VEHICLEMANAGER_SHOW_SEARCH_YEAR_FROM);
	$year_to[] = mosHTML :: makeOption(' ', _VEHICLEMANAGER_SHOW_SEARCH_YEAR_TO);
	for($i=date('Y');$i>=1900;$i--)
	{
		$year[] = mosHTML :: makeOption($i, $i);
		$year_to[] = mosHTML :: makeOption($i, $i);
	}
	$yearlist = mosHTML :: selectList($year, 'yearfrom', 'class="inputbox" size="1"', 'value', 'text', 0);
	$yearlistto = mosHTML :: selectList($year_to, 'yearto', 'class="inputbox" size="1"', 'value', 'text', 0);

	$price[] = mosHTML :: makeOption(' ', _VEHICLEMANAGER_SHOW_SEARCH_YEAR_FROM);
	$price_to[] = mosHTML :: makeOption(' ', _VEHICLEMANAGER_SHOW_SEARCH_YEAR_TO);
	$price[] = mosHTML :: makeOption(1, 1);
	$price[] = mosHTML :: makeOption(5000, 5000);
	$price[] = mosHTML :: makeOption(10000, 10000);
	$price[] = mosHTML :: makeOption(15000, 15000);
	$price[] = mosHTML :: makeOption(20000, 20000);
	$price[] = mosHTML :: makeOption(25000, 25000);
	$price[] = mosHTML :: makeOption(30000, 30000);
	$price[] = mosHTML :: makeOption(40000, 40000);
	$price[] = mosHTML :: makeOption(50000, 50000);
	$price[] = mosHTML :: makeOption(60000, 60000);
	$price[] = mosHTML :: makeOption(80000, 80000);
	$price[] = mosHTML :: makeOption(100000, 100000);
	$price[] = mosHTML :: makeOption(150000, 150000);
	$price[] = mosHTML :: makeOption(200000, 200000);
	$price_to[] = mosHTML :: makeOption(1, 1);
	$price_to[] = mosHTML :: makeOption(5000, 5000);
	$price_to[] = mosHTML :: makeOption(10000, 10000);
	$price_to[] = mosHTML :: makeOption(15000, 15000);
	$price_to[] = mosHTML :: makeOption(20000, 20000);
	$price_to[] = mosHTML :: makeOption(25000, 25000);
	$price_to[] = mosHTML :: makeOption(30000, 30000);
	$price_to[] = mosHTML :: makeOption(40000, 40000);
	$price_to[] = mosHTML :: makeOption(50000, 50000);
	$price_to[] = mosHTML :: makeOption(60000, 60000);
	$price_to[] = mosHTML :: makeOption(80000, 80000);
	$price_to[] = mosHTML :: makeOption(100000, 100000);
	$price_to[] = mosHTML :: makeOption(150000, 150000);
	$price_to[] = mosHTML :: makeOption(200000, 200000);

	$pricelist = mosHTML :: selectList($price, 'pricefrom', 'class="inputbox" size="1"', 'value', 'text', 0);
	$pricelistto = mosHTML :: selectList($price_to, 'priceto', 'class="inputbox" size="1"', 'value', 'text', 0);
 ?>
<div>
	<form action="index.php" method="get" name="mod_vehiclelibsearchForm">
 <table border="0" cellpadding="4" cellspacing="0" width="100%">
   <tr>
				 <td align="left">
				   Search:&nbsp;
				 </td>
	</tr>
	<tr>
		 <td align="left">
				<input class="inputbox" type="text" name="searchtext" size="20" maxlength="20"/>
		 </td>
	</tr>

	<?php if(!$showYear){ ?>
	<tr>
	<td  align="left" nowrap>
		<?php echo _VEHICLEMANAGER_SHOW_SEARCH_YEAR.':&nbsp;'.$yearlist.$yearlistto; ?>
	</td>
	</tr>
	<?php } ?>
	<!--<tr>
	<td  align="left" nowrap>
		<?php echo _VEHICLEMANAGER_SHOW_SEARCH_PRICE.':&nbsp;'.$yearlist.$yearlistto; ?>
	</td>
	</tr>-->
		
	

	
	
	<?php if($showTitle==0){?>
	<tr>
		<td  align="left" nowrap>
		<?php echo _VEHICLEMANAGER_SHOW_SEARCH_TITLE ?>:&nbsp;<input type="checkbox" name="title" checked="checked">
		</td>
	</tr>
	<?php }elseif($showTitle==1){ ?>
		<input type="hidden" name="title" value="on">
	<?php }?>

	<?php if($showAddress==0){?>
	<tr>
		<td  align="left" nowrap>
		<?php echo _VEHICLEMANAGER_SHOW_SEARCH_ADDRESS ?>:&nbsp;<input type="checkbox" name="address" checked="checked">
		</td>
	</tr>
	<?php }elseif($showAddress==1){ ?>
		<input type="hidden" name="address" value="on">
	<?php }?>

		<?php if($showVehicle_type==0){?>
	<tr>
		<td  align="left" nowrap>
		<?php echo _VEHICLEMANAGER_SHOW_SEARCH_VEHICLETYPE ?>:&nbsp;<input type="checkbox" name="Vehicle_type" checked="checked">
		</td>
	</tr>
	<?php }elseif($showVehicle_type==1){ ?>
		<input type="hidden" name="Vehicle_type" value="on">
	<?php }?>

	<?php if($showCondition==0){?>
	<tr>
		<td  align="left" nowrap>
		<?php echo _VEHICLEMANAGER_SHOW_SEARCH_CONDITION ?>:&nbsp;<input type="checkbox" name="Condition" checked="checked">
		</td>
	</tr>
	<?php }elseif($showCondition==1){ ?>
		<input type="hidden" name="Condition" value="on">
	<?php }?>

	<?php if($showDescription==0){?>
	<tr>
		<td  align="left" nowrap>
		<?php echo _VEHICLEMANAGER_SHOW_SEARCH_DESCRIPTION ?>:&nbsp;<input type="checkbox" name="Description" checked="checked">
		</td>
	</tr>
	<?php }elseif($showDescription==1){ ?>
		<input type="hidden" name="Description" value="on">
	<?php }?>
	<?php if($showListing_type==0){?>
	<tr>
		<td  align="left" nowrap>
		<?php echo _VEHICLEMANAGER_SHOW_SEARCH_LISTINGTYPE ?>:&nbsp;<input type="checkbox" name="Listing_type" checked="checked">
		</td>
	</tr>
	<?php }elseif($showListing_type==1){ ?>
		<input type="hidden" name="Listing_type" value="on">
	<?php }?>
	<?php if($showMileage==0){?>
	<tr>
		<td  align="left" nowrap>
		<?php echo _VEHICLEMANAGER_SHOW_SEARCH_MILEAGE ?>:&nbsp;<input type="checkbox" name="Mileage" checked="checked">
		</td>
	</tr>
	<?php }elseif($showMileage==1){ ?>
		<input type="hidden" name="Mileage" value="on">
	<?php }?>
<?php if($showEngine_type==0){?>
	<tr>
		<td  align="left" nowrap>
		<?php echo _VEHICLEMANAGER_SHOW_SEARCH_ENGINETYPE ?>:&nbsp;<input type="checkbox" name="Engine_type" checked="checked">
		</td>
	</tr>
	<?php }elseif($showEngine_type==1){ ?>
		<input type="hidden" name="Engine_type" value="on">
	<?php }?>
<?php if($showTransmission==0){?>
	<tr>
		<td  align="left" nowrap>
		<?php echo _VEHICLEMANAGER_SHOW_SEARCH_TRANSMISSION ?>:&nbsp;<input type="checkbox" name="Transmission" checked="checked">
		</td>
	</tr>
	<?php }elseif($showTransmission==1){ ?>
		<input type="hidden" name="Transmission" value="on">
	<?php }?>
<?php if($showFuel_type==0){?>
	<tr>
		<td  align="left" nowrap>
		<?php echo _VEHICLEMANAGER_SHOW_SEARCH_FUELTYPE ?>:&nbsp;<input type="checkbox" name="Fuel_type" checked="checked">
		</td>
	</tr>
	<?php }elseif($showFuel_type==1){ ?>
		<input type="hidden" name="Fuel_type" value="on">
	<?php }?>
<?php if($showExterior_colors==0){?>
	<tr>
		<td  align="left" nowrap>
		<?php echo _VEHICLEMANAGER_SHOW_SEARCH_EXTERIORCOLORS ?>:&nbsp;<input type="checkbox" name="Exterior_colors" checked="checked">
		</td>
	</tr>
	<?php }elseif($showExterior_colors==1){ ?>
		<input type="hidden" name="Exterior_colors" value="on">
	<?php }?>
<?php if($showExterior_extras==0){?>
	<tr>
		<td  align="left" nowrap>
		<?php echo _VEHICLEMANAGER_SHOW_SEARCH_EXTERIOREXTRAS ?>:&nbsp;<input type="checkbox" name="Exterior_extras" checked="checked">
		</td>
	</tr>
	<?php }elseif($showExterior_extras==1){ ?>
		<input type="hidden" name="Exterior_extras" value="on">
	<?php }?>
<?php if($showDashboard_options==0){?>
	<tr>
		<td  align="left" nowrap>
		<?php echo _VEHICLEMANAGER_SHOW_SEARCH_DASHBOARDOPTIONS ?>:&nbsp;<input type="checkbox" name="Dashboard_options" checked="checked">
		</td>
	</tr>
	<?php }elseif($showDashboard_options==1){ ?>
		<input type="hidden" name="Dashboard_options" value="on">
	<?php }?>
<?php if($showInterior_extras==0){?>
	<tr>
		<td  align="left" nowrap>
		<?php echo _VEHICLEMANAGER_SHOW_SEARCH_INTERIOREXTRAS ?>:&nbsp;<input type="checkbox" name="Interior_extras" checked="checked">
		</td>
	</tr>
	<?php }elseif($showInterior_extras==1){ ?>
		<input type="hidden" name="Interior_extras" value="on">
	<?php }?>

<?php if($showSafety_options==0){?>
	<tr>
		<td  align="left" nowrap>
		<?php echo _VEHICLEMANAGER_SHOW_SEARCH_SAFETYOPTIONS ?>:&nbsp;<input type="checkbox" name="Safety_options" checked="checked">
		</td>
	</tr>
	<?php }elseif($showSafety_options==1){ ?>
		<input type="hidden" name="Safety_options" value="on">
	<?php }?>
<?php if($showWarranty_options==0){?>
	<tr>
		<td  align="left" nowrap>
		<?php echo _VEHICLEMANAGER_SHOW_SEARCH_WARRANTYOPTIONS ?>:&nbsp;<input type="checkbox" name="Warranty_options" checked="checked">
		</td>
	</tr>
	<?php }elseif($showWarranty_options==1){ ?>
		<input type="hidden" name="Warranty_options" value="on">
	<?php }?>
<?php if($showWheeltype==0){?>
	<tr>
		<td  align="left" nowrap>
		<?php echo _VEHICLEMANAGER_SHOW_SEARCH_WHEELTYPE ?>:&nbsp;<input type="checkbox" name="Wheeltype" checked="checked">
		</td>
	</tr>
	<?php }elseif($showWheeltype==1){ ?>
		<input type="hidden" name="Wheeltype" value="on">
	<?php }?>
<?php if($showInterior_colors==0){?>
  <tr>
    <td  align="left" nowrap>
    <?php echo _VEHICLEMANAGER_SHOW_SEARCH_INTERIORCOLORS ?>:&nbsp;<input type="checkbox" name="Interior_colors" checked="checked">
    </td>
  </tr>
  <?php }elseif($showInterior_colors==1){ ?>
    <input type="hidden" name="Interior_colors" value="on">
  <?php }?>
<?php if($showModel==0){?>
  <tr>
    <td  align="left" nowrap>
    <?php echo _VEHICLE_MANAGER_LABEL_MODEL ?>:&nbsp;<input type="checkbox" name="Model" checked="checked">
    </td>
  </tr>
  <?php }elseif($showModel==1){ ?>
    <input type="hidden" name="Model" value="on">
  <?php }?>


	<tr>
		<td align="left">
			Category:&nbsp;
		</td>
	</tr>
	<tr>
	  <td align="left">
			  <?php echo $clist; ?>
	  </td>
  </tr>
	<tr>
		<td align="left" colspan="2" style="margin: 5px;padding: 5px;">
		<div style="float:left;margin-right: 5px"><input type="submit" value="Search" class="button" /></div>
  <?php if($showAdvanceSearch==0){
     $link1 ="index.php?option=com_vehiclemanager&amp;task=show_search&amp;catid=0&amp;Itemid=".$Itemid; 
  ?>
		<div style="font-size: smaller;line-height: 0.9em">	<a href="<?php echo sefRelToAbs($link1); ?>" 
    ><?php echo _VEHICLEMANAGER_ADVANCED_SEARCH; ?></a></div>
  <?php }?>
			<input type="hidden" name="option" value="com_vehiclemanager">
			<input type="hidden" name="task" value="search">
			<input type="hidden" name="Itemid" value="<?php echo $Itemid ?>">
		</td>
	</tr>
		    </table>
		</form>
</div>
<div style="text-align: center;"><a href="http://ordasoft.com" style="font-size: 10px;">Powered by OrdaSoft!</a></div>
